Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.dns.network_mappings.list()
page = page.network_mappings[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DNS.NetworkMappings.List(context.TODO(), dns.NetworkMappingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/network-mappings \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/network-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_mappings": [
{
"id": 123,
"mapping": [
{
"cidr4": [
"<string>"
],
"cidr6": [
"<string>"
],
"tags": [
"<string>"
]
}
],
"name": "<string>"
}
],
"total_amount": 123
}This response has no body data.NetworkMappings
List Network Mapping
List of network mappings.
Example of request:
curl --location --request GET 'https://api.gcore.com/dns/v2/network-mappings' \
--header 'Authorization: Bearer ...'
GET
/
dns
/
v2
/
network-mappings
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.dns.network_mappings.list()
page = page.network_mappings[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DNS.NetworkMappings.List(context.TODO(), dns.NetworkMappingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Amount of records to skip before beginning to write in response.
Max number of records in response
Field name to sort by
Ascending or descending order
Available options:
asc, desc ⌘I